Subject: Re: bug#45303: #45303 [feature/native-comp] building error on Windows

From: Andrea Corallo <[email-masked]>
Date: Sun, 20 Dec 2020 18:58:09 +0000

Andy Moreton <[email-masked]> writes:

> On Sat 19 Dec 2020, Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
>
>> Pal Gloss <[email-masked]> writes:
>>
>>> Hi,
>>>
>>> thank you for the quick fixes
>>>
>>> I do not understand 3b53a591faed03679382a601b93da7fe6ce3b4af: the way
>>
>> No you are right, this morning I was a little in a rush and I might have
>> failed grepping, hopefully ab985f41db is better.
>>
>> [...]
>>
>>> I just checked and these %emacs_dir% are also present in a "normal" emacs
>>> 27.1 (installed via msys2/mingw pacman, not self-built).
>>>
>>>> Right so (unless I'm forgetting something) just the zlib linker error
>>>> should be remaining, correct?
>>>
>>> It was not only zlib that was missing, but also gccjit (my hack sets both: LIBGCCJIT = -lz -lgccjit)
>>
>> With 407fb16583 I think '-lgccjit' should be unnecessary on Windows now,
>> is it?
>
> There is one piece missing from that commit: another define around
> L379 to replace gcc_jit_type_get_const with fn_gcc_jit_type_get_const.
>
>     AndyM

Thanks, hope 18ca9ea08a fix it.

Is no easy to write code without being able to test it (read patches are
very welcome).

Thx!

  Andrea